Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.spacesPersonalization
Class DirectorySharingProperties

    java.lang.Object
      org.esupportail.portal.channels.CStockage.spacesPersonalization.DirectorySharingProperties

public class DirectorySharingProperties
extends java.lang.Object

Id: DirectorySharingProperties,v 1.0 6 janv. 2005 Copyright (c) 2005 Esup Portail (www.esup-portail.org) Classes: DirectorySharingProperties Original Author: Yohan Colmant This object represents the sharing properties of a directory

Constructor Summary
`DirectorySharingProperties(java.lang.String directoryName)` Constructor

Method Summary
`java.lang.Object` | `clone()` Clone this object to another similary one
`boolean` | `equals(java.lang.Object o)` Compare this object to another one
`java.util.Vector` | `getGroups()`
`java.util.Vector` | `getInherited()`
`java.util.Vector` | `getOthers()`
`java.util.Vector` | `getUsers()`
`java.lang.StringBuffer` | `getXml(java.lang.String label, boolean manageAcl, Space currentSpace)` Get an xml form from this sharing properties
`boolean` | `isPublicDirectory()`
`boolean` | `isSharingActive()`
`void` | `setDirectoryName(java.lang.String directoryName)`
`void` | `setGroups(java.util.Vector groups)`
`void` | `setInherited(java.util.Vector inherited)`
`void` | `setOthers(java.util.Vector others)`
`void` | `setPublicDirectory(boolean isPublicDirectory)`
`void` | `setPublicDirectory(java.lang.String isPublicDirectory)`
`void` | `setUseInheritedPrivileges(boolean useInheritedPrivileges)`
`void` | `setUseInheritedPrivileges(java.lang.String useInheritedPrivileges)`
`void` | `setUsers(java.util.Vector users)`
`boolean` | `useInheritedPrivileges()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectorySharingProperties

    public DirectorySharingProperties(java.lang.String directoryName)

  Constructor

Parameters:
  `directoryName` - the current directory name

Method Detail

### clone

    public java.lang.Object clone()

  Clone this object to another similary one

  Returns:
    this cloned object

### setDirectoryName

    public void setDirectoryName(java.lang.String directoryName)

  Parameters:
    `directoryName` - The directoryName to set.

### isSharingActive

    public boolean isSharingActive()

  Returns:
    Returns the isShared.

### getGroups

    public java.util.Vector getGroups()

  Returns:
    Returns the groups.

### setGroups

    public void setGroups(java.util.Vector groups)

  Parameters:
    `groups` - The groups to set.

### getUsers

    public java.util.Vector getUsers()

  Returns:
    Returns the users.

### setUsers

    public void setUsers(java.util.Vector users)

  Parameters:
    `users` - The users to set.

### getOthers

    public java.util.Vector getOthers()

  Returns:
    Returns the others.

### setOthers

    public void setOthers(java.util.Vector others)

  Parameters:
    `others` - The others to set.

### getInherited

    public java.util.Vector getInherited()

  Returns:
    Returns the inherited.

### setInherited

    public void setInherited(java.util.Vector inherited)

  Parameters:
    `inherited` - The inherited to set.

### useInheritedPrivileges

    public boolean useInheritedPrivileges()

  Returns:
    Returns the useInheritedPrivileges.

### setUseInheritedPrivileges

    public void setUseInheritedPrivileges(boolean useInheritedPrivileges)

  Parameters:
    `useInheritedPrivileges` - The useInheritedPrivileges to set.

### setUseInheritedPrivileges

    public void setUseInheritedPrivileges(java.lang.String useInheritedPrivileges)

  Parameters:
    `useInheritedPrivileges` - The useInheritedPrivileges to set.

### isPublicDirectory

    public boolean isPublicDirectory()

  Returns:
    Returns the isPublicDirectory.

### setPublicDirectory

    public void setPublicDirectory(boolean isPublicDirectory)

  Parameters:
    `isPublicDirectory` - The isPublicDirectory to set.

### setPublicDirectory

    public void setPublicDirectory(java.lang.String isPublicDirectory)

  Parameters:
    `isPublicDirectory` - The isPublicDirectory to set.

### getXml

    public java.lang.StringBuffer getXml(java.lang.String label,
                                         boolean manageAcl,
                                         Space currentSpace)

  Get an xml form from this sharing properties

  Returns:
    an xml form from this sharing properties

### equals

    public boolean equals(java.lang.Object o)

  Compare this object to another one

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD